<form method="post">
	<label for="zone">Zone à modifier</label>
	<br>
	<select required="" name="zone" id="zone">
		<option value="" disabled="" selected="">-</option>
<?php
foreach (nsListUserZones() as $zone)
	echo '		<option value="' . $zone . '">' . $zone . '</option>' . LF;
?>
	</select>
	<br>
	<input type="submit" value="Afficher">
</form>

<?php

if (isset($data['zone_content'])) { // Display zone

?>
<form method="post">
	<input type="hidden" name="zone" value="<?= $_POST['zone'] ?>">

	<label for="zone-content">Nouveau contenu de la zone <code><strong><?= $_POST['zone'] ?></strong></code></label>
	<br>
	<textarea id="zone-content" name="zone-content" wrap="off" rows="<?= substr_count($data['zone_content'], LF) + 1 ?>"><?= htmlspecialchars($data['zone_content']) ?></textarea>
	<br>
	<input type="submit" value="Remplacer">
</form>

<?php

}

displayFinalMessage($data);

?>

<h2>Valeurs par défaut</h2>

<p>Si le TTL est omis, il sera définit à <code><time datetime="PT<?= DEFAULT_TTL ?>S"><?= DEFAULT_TTL ?></time></code> secondes.</p>

<p>La précision de la classe (<code>IN</code>) est facultative.</p>

<h2>Valeurs autorisées</h2>

<p>La zone n'est pas autorisée à dépasser <?= ZONE_MAX_CHARACTERS ?> caractères.</p>

<p>Les TTLs ne sont autorisés qu'entre <code><time datetime="PT<?= MIN_TTL ?>S"><?= MIN_TTL ?></time></code> et <code><time datetime="PT<?= MAX_TTL ?>S"><?= MAX_TTL ?></time></code> secondes.</p>

<p>Les seuls types dont l'édition est autorisée sont&nbsp;:</p>

<ul>
<?php
	foreach (ALLOWED_TYPES as $allowed_type)
		echo '	<li><code>' . $allowed_type . '</code></li>';

?>
</ul>
