<p>
	<?= linkToDocs('record-loc', 'Documentation du type d\'enregistrement LOC') ?>
</p>

<form method="post">

	<?php require 'form.ns.php'; ?>

	<fieldset>
		<legend>Latitude</legend>
		<div>
			<label for="lat-deg">Degrés</label>
			<br>
			<input name="lat-deg" id="lat-deg" min="0" max="90" type="number" required="">
		</div>
		<div>
			<label for="lat-min">Minutes</label>
			<br>
			<input name="lat-min" id="lat-min" min="0" max="59" placeholder="0" type="number" required="">
		</div>
		<div>
			<label for="lat-sec">Secondes</label>
			<br>
			<input name="lat-sec" id="lat-sec" step="0.001" min="0" max="59.999" placeholder="0" type="number" required="">
		</div>
		<div>
			<label for="lat-dir">Direction</label>
			<br>
			<select required="" name="lat-dir" id="lat-dir">
				<option value="" selected="" disabled="">-</option>
				<option value="N">N - Nord</option>
				<option value="S">S - Sud</option>
			</select>
		</div>
	</fieldset>

	<fieldset>
		<legend>Longitude</legend>
		<div>
			<label for="lon-deg">Degrés</label>
			<br>
			<input name="lon-deg" id="lon-deg" min="0" max="180" type="number" required="">
		</div>
		<div>
			<label for="lon-min">Minutes</label>
			<br>
			<input name="lon-min" id="lon-min" min="0" max="59" placeholder="0" type="number" required="">
		</div>
		<div>
			<label for="lon-sec">Secondes</label>
			<br>
			<input name="lon-sec" id="lon-sec" step="0.001" min="0" max="59.999" placeholder="0" type="number" required="">
		</div>
		<div>
			<label for="lon-dir">Direction</label>
			<br>
			<select required="" name="lon-dir" id="lon-dir">
				<option value="" selected="" disabled="">-</option>
				<option value="E">E - Est</option>
				<option value="W">W - Ouest</option>
			</select>
		</div>
	</fieldset>

	<label for="alt">Altitude</label>
	<br>
	<input name="alt" id="alt" step="0.01" min="-100000.00" max="42849672.95" type="number" required="">m
	<br>
	<label for="size">Taille</label>
	<br>
	<input name="size" id="size" min="0" max="90000000" placeholder="1" type="number">m
	<br>
	<label for="hp">Précision horizontale</label>
	<br>
	<input name="hp" id="hp" min="0" max="90000000" placeholder="10000" type="number" required="">m
	<br>
	<label for="vp">Précision verticale</label>
	<br>
	<input name="vp" id="vp" min="0" max="90000000" placeholder="10" type="number" required="">m
	<br>
	<input type="submit" value="Appliquer">
</form>
