<?php

if (preg_match('/' . SUBDOMAIN_REGEX . '/D', $_POST['subdomain']) !== 1)
	output(403, 'Le nom de domaine doit être composé uniquement d\'entre 4 et 63 lettres minuscules ou chiffre (a-z et 0-9)');

$domain = formatAbsoluteDomain($_POST['subdomain'] . '.' . CONF['reg']['registry']);

if (query('select', 'registry', ['domain' => $domain], 'domain') !== [])
	output(403, 'Ce domaine n\'est pas disponible à l\'enregistrement. Il est déjà enregistré.');

if (in_array($_POST['subdomain'], explode(LF, file_get_contents(CONF['common']['root_path'] . '/pg-act/reg/reserved.txt'))))
	output(403, 'Ce domaine n\'est pas disponible à l\'enregistrement. Il est réservé.');

rateLimit();

insert('registry', [
	'domain' => $domain,
	'username' => $_SESSION['id'],
	'last_renewal' => date('Y-m-d H:i:s'),
]);

output(200, 'Domaine ajouté au registre.');
