<p>
	Ajouter sur un dossier de site un accès <?= linkToDocs('http', 'HTTP') ?> par <?= linkToDocs('dns', 'DNS') ?> et <?= linkToDocs('tls', 'TLS') ?> <?= linkToDocs('ca', 'authentifié par <em>Let\'s Encrypt</em>') ?>.
</p>

<p>
	Le domaine doit posséder les enregistrements ci-après lors du traitement de ce formulaire.
</p>

<dl>
	<dt><code>AAAA</code></dt>
	<dd>
		<code><?= CONF['ht']['ipv6_address'] ?></code>
	</dd>
	<dt><code>A</code></dt>
	<dd>
		<code><?= CONF['ht']['ipv4_address'] ?></code>
	</dd>
	<dt><code>TXT</code></dt>
	<dd>
		<code><?= SERVER_NAME ?>_domain-verification=<?= getAuthToken() ?></code>
	</dd>
</dl>

<form method="post">
	<label for="domain">Domaine sur lequel répondre</label><br>
	<input required="" placeholder="site.<?= PLACEHOLDER_DOMAIN ?>" id="domain" name="domain" type="text"><br>
	<label for="dir">Dossier ciblé</label><br>
	<select required="" name="dir" id="dir">
		<option value="" disabled="" selected="">---</option>
<?php
foreach (dirsStatuses('dns') as $dir => $alreadyEnabled)
	echo '		<option' . ($alreadyEnabled ? ' disabled=""' : '') . ' value="' . $dir . '">' . $dir . '</option>' . LF;
?>
	</select>
	<br>
	<input type="submit" value="Ajouter l'accès">
</form>
