
<form method="post">
	<input type="radio" name="print" id="table" value="table" checked="">
	<label for="table">Tableau de mes enregistrements</label>
	<br>
	<input type="radio" name="print" id="ds" value="ds">
	<label for="ds">Enregistrement DS</label>
	<br>
	<input type="radio" name="print" id="raw" value="raw">
	<label for="raw">Fichier de zone brut</label>
	<br>
	<label for="zone">Zone</label>
	<select required="" name="zone" id="zone">
		<option value="" disabled="" selected="">-</option>
<?php
foreach (nsListUserZones() as $zone)
	echo '		<option value="' . $zone . '">' . $zone . '</option>' . LF;
?>
	</select>
	<br>
	<input type="submit" value="Afficher">
</form>

<?php

if (isset($data['zone-raw']))
	echo '<pre>' . htmlspecialchars($data['zone-raw']) . '</pre>';

if (isset($data['zone-table'])) { ?>

<table>
	<tr>
		<th>Domaine</th>
		<th>TTL</th>
		<th>Type</th>
		<th>Contenu</th>
	</tr>
<?php
	foreach ($data['zone-table'] as $zone_line) {
		echo '	<tr>' . LF;
		foreach ($zone_line as $element)
			echo '		<td><code>' . htmlspecialchars($element) . '</code></td>' . LF;
		echo '	</tr>' . LF;
	}
}
?>
</table>
<?php

if (isset($data['zone-ds'])) { ?>

<dl>
	<dt>Zone</dt>
	<dd>
		<code><?= $_POST['zone'] ?></code>
	</dd>
	<dt>Tag</dt>
	<dd>
		<code><?= $data['zone-ds']['tag'] ?></code>
	</dd>
	<dt>Algorithme</dt>
	<dd>
		<code><?= $data['zone-ds']['algo'] ?></code><?= ($data['zone-ds']['algo'] === '15') ? ' (Ed25519)' : '' ?>
	</dd>
	<dt>Type de condensat</dt>
	<dd>
		<code><?= $data['zone-ds']['digest_type'] ?></code><?= ($data['zone-ds']['digest_type'] === '2') ? ' (SHA-256)' : '' ?>
	</dd>
	<dt>Condensat</dt>
	<dd>
		<code><?= $data['zone-ds']['digest'] ?></code>
	</dd>
</dl>

<?php
}

